FROM alpine:3.7

# grab su-exec for easy step-down from root
RUN apk add --no-cache curl

COPY _docker/config/* /etc/overflow/config/
COPY _docker/bin/* /usr/local/overflow/bin/

RUN mkdir -p /etc/overflow/config; \
    mkdir -p /usr/local/overflow/bin; \
    mkdir -p /var/overflow/logs; \
    chmod +x /usr/local/overflow/bin/docker-entrypoint.sh /usr/local/overflow/bin/member_gateway_rpc;

ENV TINI_VERSION='0.17.0'

# Use tini as subreaper in Docker container to adopt zombie processes 
RUN curl -fsSL https://github.com/krallin/tini/releases/download/v${TINI_VERSION}/tini-static-amd64 -o /bin/tini && chmod +x /bin/tini

EXPOSE 80

ENTRYPOINT ["/bin/tini", "--"]
CMD ["/usr/local/overflow/bin/docker-entrypoint.sh"]

